Skip to main content
cancel
Showing results for 
Search instead for 
Did you mean: 

Earn a 50% discount on the DP-600 certification exam by completing the Fabric 30 Days to Learn It challenge.

Reply
Bamak
Helper V
Helper V

Gen2 limitation with powershell runs

Hi

 

I need your help/advises please for a particular topic  :

                             Refresh PBI Dataset via Powershell   (Module SqlServer & XMLA-Endpoint)

 

We switched yesterday  to premium  Gen2 and now we have an issue during our Powershell script run

-->ExecutionFailed,Microsoft.AnalysisServices.PowerShell.Cmdlets.ExecutionScriptCommand 

 

A question please , do we need to update module powershell SQlServer to 21.1.18229  ?

Bamak_1-1634875508320.png

Best regards

 

Christophe

 

 

 

 

 

 

1 ACCEPTED SOLUTION
V-lianl-msft
Community Support
Community Support

Hi @Bamak ,

 

Yes,The reason is described in the document:

Analysis services features in Premium Gen2 are only supported on the latest client libraries.


Best Regards,
Liang
If this post helps, then please consider Accept it as the solution to help the other members find it more quickly.

View solution in original post

1 REPLY 1
V-lianl-msft
Community Support
Community Support

Hi @Bamak ,

 

Yes,The reason is described in the document:

Analysis services features in Premium Gen2 are only supported on the latest client libraries.


Best Regards,
Liang
If this post helps, then please consider Accept it as the solution to help the other members find it more quickly.

Helpful resources

Announcements
LearnSurvey

Fabric certifications survey

Certification feedback opportunity for the community.

PBI_APRIL_CAROUSEL1

Power BI Monthly Update - April 2024

Check out the April 2024 Power BI update to learn about new features.

April Fabric Community Update

Fabric Community Update - April 2024

Find out what's new and trending in the Fabric Community.